## org.apache.mahout.common
Class LongPair

    java.lang.Object
      org.apache.mahout.common.LongPair

All Implemented Interfaces:
  Serializable, Comparable<LongPair>

    public final class LongPair

extends Object
implements Comparable<LongPair>, Serializable

A simple (ordered) pair of longs.

See Also:
  Serialized Form

Constructor Summary
`LongPair(long first, long second)`

Method Summary
`int` `compareTo(LongPair o)`
`boolean` `equals(Object obj)`
`long` `getFirst()`
`long` `getSecond()`
`int` `hashCode()`
`LongPair` `swap()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongPair

    public LongPair(long first,
                    long second)

Method Detail

### getFirst

    public long getFirst()

### getSecond

    public long getSecond()

### swap

    public LongPair swap()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(LongPair o)

  Specified by:
    `compareTo` in interface `Comparable<LongPair>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.